import * as React from 'react';
import { Switch } from 'react-router';
import { Link, Route } from 'react-router-dom';

import { TopBar } from './containers/test/TopBar';
import { SignUp } from './containers/test/SignUp';
import { SignIn } from './containers/test/SignIn';
import { PWChange } from './containers/test/PWChange';
import { ProbeDown } from './containers/test/ProbeDown';
import { DiscoveryDetails } from './containers/test/DiscoveryDetails'
import { Components } from './containers/test/Components';
import { Layout } from './containers/test/layout/Layout'


export class Routes extends React.Component<any, any> {
  render() {
    return (
      <div>
        <h1>React Redux sample</h1>
        <li><Link to='/layout' >Layout</Link></li>
        <li><Link to='/test' >TopBar</Link></li>
        <li><Link to='/test2' >Signup</Link></li>
        <li><Link to='/test3' >SignIn</Link></li>
        <li><Link to='/test4' >PWChange</Link></li>
        <li><Link to='/test5' >ProbeDown</Link></li>
        <li><Link to='/test6' >DiscoveryDetails</Link></li>

        <li><Link to='/test14' >Insanity</Link></li>


        <Switch>
          <Route exact path='/layout' component={Layout} />
          <Route exact path='/test' component={TopBar} />
          <Route exact path='/test2' component={SignUp} />
          <Route exact path='/test3' component={SignIn} />
          <Route exact path='/test4' component={PWChange} />
          <Route exact path='/test5' component={ProbeDown} />
          <Route exact path='/test6' component={DiscoveryDetails} />

          <Route exact path='/test14' component={Components} />
        </Switch>

      </div>
    );
  }
}
